Comment installer le plugin Java pour Firefox?

65

J'essaie d'installer Java et les plugins pour Firefox. J'ai installé le JDK et le JRE.

Lorsque j'essaie avec la commande sudo update-alternatives --config java , il n’a qu’un seul choix disponible.

Les plug-ins ne sont pas utilisables dans Firefox.

    
posée user199273 06.10.2013 - 13:51
la source

6 réponses

72

Si vous utilisez une version après 52 (et non une version ESR), désactivez NPAPI , vous n'avez pas de chance Si vous en utilisez un auparavant, ce que vous ne voudriez absolument pas, vous pouvez installer le JRE OpenJDK, ce qui vous permettrait d'exécuter localement des binaires Java en utilisant le binaire java . Cela ne suffit toutefois pas pour exécuter des applets Web Java sur votre navigateur, ce qui peut être réalisé en installant le plug-in Icedtea:

sudo apt-get install icedtea-plugin

Allez ensuite dans about:addons , dans la section plugin, vérifiez si le plugin est activé. Mozilla désactive les plug-ins non sécurisés par défaut, ce qui signifie que Java est désactivé même après l'installation en raison de problèmes de sécurité. Vous devez l'activer avant de l'utiliser.

    
réponse donnée Braiam 06.10.2013 - 16:26
la source
22

Installation du plug-in Java IcedTea:

Pour installer le plug-in IcedTea Java, ouvrez un terminal et tapez:

sudo apt-get install icedtea-7-plugin

Installez le plug-in Firefox - Oracle

Dans un terminal:

mkdir ~/.mozilla/plugins

Supprimez le plug-in IcedTea, s’il a été installé.

sudo apt-get remove icedtea6-plugin

Supprimez une ancienne version du plug-in Java (éventuellement présente ou non)

rm ~/.mozilla/plugins/libnpjp2.so

Maintenant, vous pouvez installer le plug-in, en créant un lien symbolique (vous dites à Firefox où se trouve le plug-in). Pour Java 32 bits, utilisez

ln -s /usr/lib/jvm/jre1.7.0/lib/i386/libnpjp2.so ~/.mozilla/plugins/

Pour une utilisation Java 64 bits

ln -s /usr/lib/jvm/jre1.7.0/lib/amd64/libnpjp2.so ~/.mozilla/plugins/

Confirmez que le JRE a bien fonctionné en utilisant le site officiel d’Oracle .

Source: Installation Java

    
réponse donnée M.Tarun 13.04.2017 - 14:24
la source
5

Depuis Firefox version 52, la prise en charge des plug-ins NPAPI (applets java) dans Firefox a pris fin, en raison de problèmes de performances et de sécurité, la façon dont j'exécute les applets Java consiste à installer ESR (Extended Support Release) de Firefox. .

téléchargez ici: lien

plus de détails ici: lien

    
réponse donnée mozzi zadok 12.03.2017 - 22:25
la source
3

Si vous venez de télécharger et d’installer java jdk depuis oracle, alors, disons que vous avez installé jdk-8u91-linux-x64.tar.gz sur

/ mon / java / répertoire /

Ensuite, vous aurez un répertoire comme:

/my/java/directory/jdk1.8.0_91 /

Tout ce que vous avez à faire est d'aller dans le répertoire des plugins ubuntu firefox et de créer un lien:

$: cd /usr/lib/firefox-addons/plugins/
$: sudo ln -s /my/java/directory/jdk1.8.0_91/jre/lib/amd64/libnpjp2.so
    
réponse donnée luis_js 26.05.2016 - 15:55
la source
2

C’est un vieux sujet, mais je suis tombé dessus tout en cherchant une solution à mon problème. Je pensais que quelqu'un d'autre pourrait être dans la même situation.

J'ai besoin de Java intégré au navigateur pour les anciens sites Web liés au travail, et le plug-in Java Oracle ne le coupe pas. Après une longue période d’essais et d’erreurs, IcedTea a fonctionné de manière cohérente dans une version plus ancienne de Firefox comme celle-ci:

  • Télécharger un tar de Firefox, version 51 (la nouvelle version ne supporte pas le plugin)
  • Installez OpenJDK (7 ou 8)
  • Installez le plug-in icedtea et le plug-in icedtea
  • Maintenant, votre installation openJDK contiendra un fichier IcedTeaPlugin.so dans le dossier jre / lib
  • copiez ceci dans les dossiers du plug-in mozilla / firefox (je n'arrivais pas à savoir lequel le copier, donc je l'ai copié dans n'importe quel firefox / plugins ou mozilla / plugins)
  • lancez votre ancienne version de firefox
  • vérifiez que le plugin est actif (vérifiez à propos de: plugins)

Un de mes collègues a créé un script pour supprimer l’ancien firefox et le désarchiver à chaque exécution. De cette façon, il n'est jamais mis à jour accidentellement. Veillez à ne pas le faire avec votre application firefox principale.

J'espère que cela vous aide.

    
réponse donnée Stijn Dejongh 26.06.2017 - 19:28
la source
0

Cela a été une bataille, surtout depuis que je suis passé par là il y a quelques mois avec 14.04, j'ai oublié la solution, mise à jour vers 16.04 .....

C’est différent, j’avais du thé glacé et Oracle travaillait sous firefox en 14.04. En fait, je préfère Oracle (pas généralement mais mon utilisation en a presque besoin), donc je n’ai que cela maintenant. Je n'ai pas essayé plusieurs installations ou dépôts. Les liens symboliques selon la plupart des instructions ne sont pas non plus bons.

Finalement, dans Firefox, allez dans Edit - & gt; Préférence - & gt; Les applications ont ensuite fait défiler jusqu'à l'extension du fichier JNLP et ont choisi "Utiliser autre ..." dans le menu déroulant. Puis trouvé javaws du répertoire approprié.

Il ne s’agit que d’une solution de contournement et je ne suis pas sûr qu’il convienne à vos besoins. Gardez à l'esprit que la plupart des plugins seront épuisés d'ici mars.

    
réponse donnée michael 31.01.2017 - 14:42
la source

Lire d'autres questions sur les étiquettes